- name: Cleanup
  gather_facts: yes
  hosts: molecule-toolchain
  tasks:
    - name: Import Variables via Tasks
      include_tasks:
        file: ../../../../import_vars.yml

    - block:
      - name: Kubectl destroy Grafana k8s definition
        community.kubernetes.k8s:
          state: absent
          resource_definition: "{{ grafana_k8s }}"
        environment:
          KUBECONFIG: "{{ remote_kubeconfig_path }}"

      - name: Destroy grafana directory
        file:
          path: "{{ remote_save_dir }}/grafana"
          state: absent
      when: grafana_k8s is defined
